org.apache.tapestry5.ioc.util

## Class UnknownValueException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.tapestry5.ioc.internal.util.TapestryException
        - - org.apache.tapestry5.ioc.util.UnknownValueException

- All Implemented Interfaces:
    java.io.Serializable, Locatable

      public class UnknownValueException
      extends TapestryException

  Special exception used when a value (typically from a map) is referenced that does not exist. Uses a `AvailableValues` object to track what the known values are.
  Since:
    5.2.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnknownValueException(java.lang.String message, AvailableValues availableValues)`
    `UnknownValueException(java.lang.String message, java.lang.Object location, java.lang.Throwable cause, AvailableValues availableValues)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AvailableValues` | `getAvailableValues()`

    - ### Methods inherited from class org.apache.tapestry5.ioc.internal.util.TapestryException

      `getLocation, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnknownValueException

          public UnknownValueException(java.lang.String message,
                                       AvailableValues availableValues)

    - #### UnknownValueException

          public UnknownValueException(java.lang.String message,
                                       java.lang.Object location,
                                       java.lang.Throwable cause,
                                       AvailableValues availableValues)

  - ### Method Detail

    - #### getAvailableValues

          public AvailableValues getAvailableValues()

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.